net.dontdrinkandroot.wicket.behavior.aria

## Class AriaAppender

- java.lang.Object
- - org.apache.wicket.behavior.Behavior
  - - org.apache.wicket.AttributeModifier
    - - org.apache.wicket.behavior.AttributeAppender
      - - net.dontdrinkandroot.wicket.behavior.aria.AriaAppender

All Implemented Interfaces:
  Serializable, org.apache.wicket.IComponentAwareEventSink, org.apache.wicket.markup.html.IComponentAwareHeaderContributor, org.apache.wicket.util.io.IClusterable

    public class AriaAppender
    extends org.apache.wicket.behavior.AttributeAppender

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.apache.wicket.AttributeModifier

`VALUELESS_ATTRIBUTE_ADD, VALUELESS_ATTRIBUTE_REMOVE`

### Constructor Summary

Constructors
Constructor and Description
`AriaAppender(Aria attribute)`
`AriaAppender(Aria attribute, org.apache.wicket.model.IModel<String> value)`
`AriaAppender(Aria attribute, String value)`

### Method Summary

### Methods inherited from class org.apache.wicket.behavior.AttributeAppender

`getSeparator, newValue, setSeparator, toString`

### Methods inherited from class org.apache.wicket.AttributeModifier

`append, append, detach, getAttribute, getReplaceModel, onComponentTag, prepend, prepend, remove, replace, replace, replaceAttributeValue`

### Methods inherited from class org.apache.wicket.behavior.Behavior

`afterRender, beforeRender, bind, canCallListenerInterface, getStatelessHint, isEnabled, isTemporary, onConfigure, onEvent, onException, onRemove, renderHead, unbind`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AriaAppender

    public AriaAppender(Aria attribute)

#### AriaAppender

    public AriaAppender(Aria attribute,
                String value)

#### AriaAppender

    public AriaAppender(Aria attribute,
                org.apache.wicket.model.IModel<String> value)